function view_onOpen() {
	volume_control.value = 50;
	view.setInterval(displayStatus, 1000);
}

_wmp = WMPEmbed.object;

var playing = true;

function stop_onclick() {
	_wmp.controls.stop();
	playing = false;
	notPlaying();
}

function play_onclick() {
	_wmp.controls.play();
	playing = true;
	isPlaying();
}

function notPlaying() {
	playing = false;
	play.visible = true;
	stop.visible = false;
}

function isPlaying() {
	playing = true;
	play.visible = false;
	stop.visible = true;
}

function volume_onchange() {
  if( _wmp == null ) return;
  _wmp.settings.volume = volume_control.value;
}

function displayStatus() {
	duration.innerText = _wmp.controls.currentPositionString;
	status_message.innerText = _wmp.status;
}